Bug 1249042 - [GSS] Add a use-case for the CRUSH OSD tunable "osd crush update on start" in RHCS1.3 Storage Strategies documentation
[GSS] Add a use-case for the CRUSH OSD tunable "osd crush update on start" in...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.0
All Linux
medium Severity medium
: rc
: 1.3.2
Assigned To: ceph-docs@redhat.com
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 08:21 EDT by Vimal Kumar
Modified: 2015-12-18 05:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 05:07:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vimal Kumar 2015-07-31 08:21:54 EDT
a) Description of problem:

Add a use-case for the CRUSH OSD tunable "osd crush update on start" under the section "4.1.1. ceph-crush-location hook" in RHCS1.3 Storage Strategies documentation.

If a user sets a custom hostname for an OSD node in CRUSH map, and the OSD process or the node is restarted, the CRUSH maps get reverted back to the initial state. This makes the custom settings vanish.

In order to overcome this, set "osd crush update on start = false" in /etc/ceph/ceph.conf and push the configuration to the OSD/MON nodes with :

# ceph-deploy --overwrite-conf config push <node1> <node2> ... <nodeN>


b) Version-Release number of selected component (if applicable):

RHCS1.2.3 Storage Strategies documentation.

NOTE: Editing a crush map and setting custom hostnames for rulesets and buckets are something customers do usually. The Crush map will revert back to the default as per the OSD hierarchy, if this tunable is not set. We need to get this added as a use-case.
Comment 2 John Wilkins 2015-09-14 17:55:52 EDT
This seems like it might be useful to mention in a few more places. For example, the installation guide's section on creating a CRUSH hierarchy, and maybe the details for creating a CRUSH hierarchy. Alternatively, perhaps we should instruct the user to add `crush_location` when adding an OSD to a CRUSH hierarchy so this setting doesn't need to be set.
Comment 5 Tamil 2015-10-09 20:53:21 EDT
verified on 1.3.0 and it looks good

Note You need to log in before you can comment on or make changes to this bug.